package com.ruoyi.frequency.mallspecifications.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.frequency.mallspecifications.entity.MallSpecifications;
import org.apache.ibatis.annotations.Param;

/**
 * 单规格规格Mapper接口
 *
 * @author liwenlong
 * @date 2024-01-25
 */
public interface MallSpecificationsMapper  extends BaseMapper<MallSpecifications>
{
    /**
     * 查询单规格规格
     *
     * @param id 单规格规格主键
     * @return 单规格规格
     */
    public MallSpecifications selectMallSpecificationsById(Long id);

    /**
     * 查询单规格规格列表
     *
     * @param mallSpecifications 单规格规格
     * @return 单规格规格集合
     */
    public List<MallSpecifications> selectMallSpecificationsList(MallSpecifications mallSpecifications);

    /**
     * 新增单规格规格
     *
     * @param mallSpecifications 单规格规格
     * @return 结果
     */
    public int insertMallSpecifications(MallSpecifications mallSpecifications);

    /**
     * 修改单规格规格
     *
     * @param mallSpecifications 单规格规格
     * @return 结果
     */
    public int updateMallSpecifications(MallSpecifications mallSpecifications);

    Boolean subStock(@Param("list") List<MallSpecifications> specList);

    Boolean addStock(@Param("list") List<MallSpecifications> specList);

    Boolean subSales(@Param("list") List<MallSpecifications> specList);

    Boolean addSales(@Param("list") List<MallSpecifications> specList);
}
